Subject: Re: linux-next: Fixes tag needs some work in the s390-fixes tree

From: Heiko Carstens <[email-masked]>
Date: Wed, 24 Jul 2019 07:54:12 +0200

Hi Stephen,

On Wed, Jul 24, 2019 at 07:42:27AM +1000, Stephen Rothwell wrote:
> In commit
>   8b515be512a2 ("vfio-ccw: Fix memory leak and don't call cp_free in cp_init")
> Fixes tag
>   Fixes: 812271b910 ("s390/cio: Squash cp_free() and cp_unpin_free()")
>   - SHA1 should be at least 12 digits long
>     Can be fixed by setting core.abbrev to 12 (or more) or (for git v2.11
>     or later) just making sure it is not set (or set to "auto").

Yes, I noticed this when merging the vfio tree, but decided to not
ask for a rebase to fix this.

Are your scripts that do sanity checks available somewhere? I'm
wondering since I would also like to do some sanity checks before
pushing updates to kernel.org like

- has the git author signed off the patch?
- has the git committer signed off the patch?
- are "fixes" tags sane: does commit exist and is format ok?